% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/write_xlsx.R
\name{write_xlsx}
\alias{write_xlsx}
\alias{writexl}
\title{Export to xlsx}
\usage{
write_xlsx(x, path = tempfile(fileext = ".xlsx"), col_names = TRUE)
}
\arguments{
\item{x}{data frame or named list of data frames that will be sheets in the xlsx}

\item{path}{a file name to write to}

\item{col_names}{write column names at the top of the file?}
}
\description{
Writes a data frame to an xlsx file. To create an xlsx with (multiple) named
sheets, simply set \code{x} to a named list of data frames.
}
\details{
Currently supports strings, numbers, booleans and dates. Formatting options
may be added in future versions.

\if{html}{
\out{
<link rel="stylesheet" type="text/css" href="https://jeroen.github.io/clippy/clippy.min.css" media="all">
<script src="https://jeroen.github.io/clippy/bundle.js"></script>
}}
}
\examples{
# Roundtrip example
tmp <- write_xlsx(iris)
readxl::read_xlsx(tmp)
}
